User Tools

Site Tools


Command disabled: register
installing_twee

Installing twee

twee, the command-line Twee compiler, requires Python. If you are using a Unix-based system like OS X or Linux, you don't need to worry about this requirement; Python should already be installed on your computer. Windows users can get Python here.

On Unix-based systems, you can make the command-line tools available to you by placing the entire extracted directory (including the lib and targets directories) into your PATH. If you use the bash shell, for example, you might put something like this in .bashrc:

export PATH=$PATH:/home/useraccount/twee

You can then run twee directly from the command prompt:

$ twee

On Windows, you can't run twee directly. Instead, you'll need to run the python interpreter on twee like so:

> python twee

If things are set up properly, running twee without any further input should produce this message:

twee: no source files specified

If you see this message, then you have installed twee correctly.

installing_twee.txt · Last modified: 2017/10/10 00:39 (external edit)